Subject: Re: [PATCH net 2/2] selftests: net: Add bridge VLAN range grouping tests

From: Simon Horman <[email-masked]>
Date: Tue, 24 Feb 2026 08:00:03 +0000

On Sun, Feb 22, 2026 at 10:53:38AM +0200, Danielle Ratson wrote:
> Add a new test file bridge_vlan_dump.sh with four test cases that verify
> VLANs with different per-VLAN options are not incorrectly grouped into
> ranges in the dump output.
> 
> The tests verify the kernel's br_vlan_opts_eq_range() function correctly
> prevents VLAN range grouping when neigh_suppress, mcast_max_groups,
> mcast_n_groups, or mcast_enabled options differ.
> 
> Each test verifies that VLANs with different option values appear as
> individual entries rather than ranges, and that VLANs with matching
> values are properly grouped together.
> 
> Example output:
> 
> $ ./bridge_vlan_dump.sh
> TEST: VLAN range grouping with neigh_suppress                       [ OK ]
> TEST: VLAN range grouping with mcast_max_groups                     [ OK ]
> TEST: VLAN range grouping with mcast_n_groups                       [ OK ]
> TEST: VLAN range grouping with mcast_enabled                        [ OK ]
> 
> Signed-off-by: Danielle Ratson <[email-masked]>
> Reviewed-by: Petr Machata <[email-masked]>
> ---
>  tools/testing/selftests/net/Makefile          |   1 +
>  .../testing/selftests/net/bridge_vlan_dump.sh | 203 ++++++++++++++++++
>  2 files changed, 204 insertions(+)
>  create mode 100755 tools/testing/selftests/net/bridge_vlan_dump.sh

Hi Danielle,

I'm wondering if you could consider running running shellcheck over this
and cleaning  things up a little.

I see SC2086 which I think can be trivially addressed.
And SC2329, which I think would be best ignored using #shellcheck disable=SC2086

Thanks!